| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.ICCDeviceTemperatureManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCDeviceTemperatureManager:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetDeviceTemperature (self)
| Gets temperature of the device connected to this channel.
| GetDeviceTemperatureThreshold (self)
| Gets temperature threshold of the device connected to this channel.
| SetDeviceTemperatureThreshold (self, threshold=0)
| Sets temperature threshold of the device connected to this channel.

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x22
| channel = channel
dict | device_temperature
dict | device_temp_threshold
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

        Device Functionality - Device Temperature Readout
        System ID: 0x22

        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        | Register Name       | Id   | Type        | Unit | Range | Default | Comment                                  |
        +=====================+======+=============+======+=======+=========+==========================================+
        |device_temperature   | 0x00 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |device_temp_threshold| 0x01 |uint 32-bit  |°C    |       |         |                                          |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.help | ( |  | ) |
| static

## ◆ GetDeviceTemperature()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

Gets temperature of the device connected to this channel.

## ◆ GetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

Gets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## ◆ SetDeviceTemperatureThreshold()

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

Sets temperature threshold of the device connected to this channel.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again.

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCDeviceTemperatureManager._is_a_system = True
| static protected

## ◆ sys_id

int optoICC.registers.icc_registers.ICCDeviceTemperatureManager.sys_id = 0x22

## ◆ channel

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.channel = channel

## ◆ device_temperature

dict optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ device_temp_threshold

dict optoICC.registers.icc_registers.ICCDeviceTemperatureManager.device_temp_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ name

optoICC.registers.icc_registers.ICCDeviceTemperatureManager.name = self.__class__.__name__